### Function

# Soup Status get_phrase

#### Declaration [src]

    const char*
    soup_status_get_phrase (
      guint status_code
    )

#### Description [src]

Looks up the stock HTTP description of `status_code`.

There is no reason for you to ever use this function. If you wanted the textual description for the `SoupMessage:status-code` of a given `SoupMessage`, you should just look at the message’s `SoupMessage:reason-phrase`. However, you should only do that for use in debugging messages; HTTP reason phrases are not localized, and are not generally very descriptive anyway, and so they should never be presented to the user directly. Instead, you should create you own error messages based on the status code, and on what you were trying to do.

#### Parameters

`status_code`

  Type: `guint`

  An HTTP status code.

#### Return value

Type: `const char*`

The (terse, English) description of `status_code`.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.